summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Quirk2015-06-13 09:03:03 +0200
committerRichard Quirk2015-06-13 09:03:03 +0200
commita3428cc766c5a355e06233c88d9630003b919aeb (patch)
tree4784b14f533cba5c9e658a38018883e416223e40
downloadaur-a3428cc766c5a355e06233c88d9630003b919aeb.tar.gz
import from aur
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD51
2 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..afd03875ab5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by makepkg 4.2.1
+# Sat Jun 13 07:00:56 UTC 2015
+pkgbase = android-backup-extractor-git
+ pkgdesc = Ansi HTML Adapter: convert ANSI escape sequences to HTML.
+ pkgver = r44.139fee8
+ pkgrel = 1
+ url = https://github.com/nelenkov/android-backup-extractor
+ arch = any
+ license = apache
+ makedepends = git
+ makedepends = apache-ant
+ depends = bcprov
+ provides = abe
+ source = android-backup-extractor-git::git+https://github.com/nelenkov/android-backup-extractor.git
+ sha256sums = SKIP
+
+pkgname = android-backup-extractor-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7085466e4e3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,51 @@
+pkgname=android-backup-extractor-git
+pkgver=r44.139fee8
+pkgrel=1
+pkgdesc="Ansi HTML Adapter: convert ANSI escape sequences to HTML."
+arch=('any')
+makedepends=('git' 'apache-ant')
+depends=('bcprov')
+url="https://github.com/nelenkov/android-backup-extractor"
+license=('apache')
+provides=('abe')
+
+source=("$pkgname"::git+${url}.git)
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ # use the revision count.hash
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+prepare() {
+ cd ${srcdir}/${pkgname}
+ # 1. set correct path to system bcprov
+ # 2. do not include bcprov classes in the final abe.jar file
+ sed -e 's@lib/bcprov-jdk15on-150.jar@/usr/share/java/bcprov.jar@g' \
+ -e 's@<zipfileset.*@@g' \
+ -i build.xml || return 1
+
+ # do not use the bundled abe script, a simple wrapper is good enough
+ echo '#!/bin/sh' > arch-abe
+ echo "CP=/usr/share/java/bcprov.jar:/usr/share/java/${pkgname}/abe.jar" >> arch-abe
+ echo 'exec /usr/bin/java -cp $CP org.nick.abe.Main "$@"' >> arch-abe
+ chmod +x arch-abe
+}
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ ant
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+ install -m755 -d "${pkgdir}/usr/bin"
+ install arch-abe "${pkgdir}/usr/bin/abe"
+ install -m755 -d "${pkgdir}/usr/share/java/${pkgname}"
+ install abe.jar "${pkgdir}/usr/share/java/${pkgname}/abe.jar"
+ install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+ install -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et: